LINUX.ORG.RU

Nvidia 340 arch

 ,


0

1

Поставил арч, все с нуво нормально работает, ставлю пропиетар(знаю что new xorg не поддерживается, поставил xorg-server1.19-git) поставил nvidia-340xx-dkms, после ребута зависает намертво при логине.

Xorg.0.log https://pastebin.com/TSAqMTiy

$ uname -a Linux desktop 5.15.6-arch2-1 #1 SMP PREEMPT Thu, 02 Dec 2021 15:47:09 +0000 x86_64 GNU/Linux

[ 17.697] (EE) Failed to load /usr/lib/xorg/modules/input/libinput_drv.so: /usr/lib/xorg/modules/input/libinput_drv.so: undefined symbol: xf86PostGestureSwipeEvent

У тебя libinput либо не стоит, либо скорее всего не подходит в иксовому серверу. Пересобери.

imul ★★★★★ ()

А с чего взял что нужен нестандартный хорг? В описании пакета ничего подобного нет.

anonymous ()
Ответ на: комментарий от Pasha115

Если у вас установлена видеокарта серии GeForce 300 или старее (выпущенная в 2010 или раньше), Nvidia больше не поддерживает драйвера для данной карты. Это означает, что указанные драйвера не поддерживают текущую версию Xorg

https://wiki.archlinux.org/title/NVIDIA_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9)#%D0%9D%D0%B5_%D0%BF%D0%BE%D0%B4%D0%B4%D0%B5%D1%80%D0%B6%D0%B8%D0%B2%D0%B0%D0%B5%D0%BC%D1%8B%D0%B5_%D0%B4%D1%80%D0%B0%D0%B9%D0%B2%D0%B5%D1%80%D0%B0

Pasha115 ()
Ответ на: комментарий от Pasha115

Игнор версии abi в коныиге иксов и работает. Вроде в пакете конфиг был. Глянь pacman -Qll название пакета

anonymous ()

там ещё в логе (WW) Unresolved symbol: fbGetGCPrivateKey

anonymous ()
Ответ на: комментарий от Pasha115

видимо не фартануло, всё таки не зря оно ругалось на версию

anonymous ()
Ответ на: комментарий от Pasha115

Про ABI должно сообщаться при установке пакета

https://aur.archlinux.org/cgit/aur.git/tree/20-nvidia.conf?h=nvidia-340xx

Не читаешь?

И вообще, при установке пакета из АУР полезно почитать комментарии

https://aur.archlinux.org/packages/nvidia-340xx/

greenman ★★★★★ ()
Последнее исправление: greenman (всего исправлений: 2)
Ответ на: комментарий от anonymous

local/libvdpau 1.4-1 Nvidia VDPAU library local/nvidia-340xx-dkms 340.108-26 NVIDIA driver sources for linux, 340xx legacy branch local/nvidia-340xx-utils 340.108-1 NVIDIA drivers utilities

Pasha115 ()
Ответ на: комментарий от anonymous

Если человек начинает почему-то с установки старого xorg, вместо того, что бы просто поставить драйвер из АУР, прочитав сообщение при установке и выполнив необходимые действия.

greenman ★★★★★ ()
Ответ на: комментарий от Pasha115

Xfce как ставил и запускаешь.

pacman -S openbox
openbox --replace
xfwm4 --replace
#И смотри ругань
anonymous ()
Ответ на: комментарий от anonymous

На арче вечно какие-то проблемы с драйверами нвидиа

Тут проблема не с нвидиа, а с пользователем, установившим компоненты Xorg от разных версий

annulen ★★★★★ ()
Ответ на: комментарий от anonymous

И ещё

https://aur.archlinux.org/packages/nvidia-340xx/

Закрепленный комментарий

Users of this package should block automatic update of their kernel. There is not enough man power to update it as fast as newer kernels are released.

ТС, видимо, не читал. Потом будут крики:

«А-а-а, у меня всё поломалось, опять арч виноват!!!»

greenman ★★★★★ ()

Продолжай наблюдения, арчешколотрон.

anonymous ()
Ответ на: комментарий от greenman

ТС dkms версию поставил, она автоматом пересоберает модули под новое ядро. А так большинство проблем из за незнания как правильно настроить.

anonymous ()
Ответ на: комментарий от anonymous

Всем спасибо за потраченное время на меня школоло, реально помогли.

Pasha115 ()
Ответ на: комментарий от greenman

Несколько недель назад я ставил просто хорг и дрова с аура, все нормально работало. Сейчас виснуло при входе, грешил на новый хорг, что он несовместим со старыми дровами.

Pasha115 ()
Ответ на: комментарий от anonymous

При мажорном изменении версии ядра, например

5.14 -> 5.15

требуются новые патчи. А они появляются позже.

greenman ★★★★★ ()
Для того чтобы оставить комментарий войдите или зарегистрируйтесь.